Subject: bug#70105: 30.0.50; Emacs should support EditorConfig out of the box

From: Stefan Monnier <[email-masked]>
Date: Tue, 18 Jun 2024 08:56:32 -0400

>> OK, here's the other part.
>>
>> I pushed to the branch `scratch/emacs-editorconfig` a bunch of patches
>> which add a few `lisp/editorconfig*.el` files.
>>
>> The main effect is to define a new (global) minor mode
>> `editorconfig-mode` (I assumed we'll keep it disabled by default in
>> Emacs-30, but I think it would make sense to enable by default in
>> Emacs-31 (i.e. on `master` after the branch is cut)) as well as a new
>> major mode `editorconfig-conf-mode` to edit `.editorconfig` files.
>>
>> I'm still working on the actual metadata of that branch, as well as
>> etc/NEWS and doc, but in the mean time maybe you could look at the code to
>> see if you have any objections there.
>>
>>         Stefan
>
> Should your work complement/have a migration path from the upstream
> editorconfig Emacs package? It be good to avoid duplication and provide
> a smooth transition path.

"My work" is the integration of the upstream package into Emacs.
The submitted code is currently not completely in sync with upstream,
but mostly because I removed some features which I'm not completely sure
yet if/how we'll support them.  This non-syncness is temporary because
I want to try and have it included in Emacs-30.
Once that is done, I'll work on merging the changes I made back
upstream, as well as smoothing over the remaining differences.

        Stefan